/*
 * Copyright (C) 2009 Emanuel Bombasaro, Christian Koch
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with 
 * this program; if not, look at 
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html or write to the Free 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * Contact address: emanuel.bombasaro@cademia.org, christian.koch@cademia.org
 * Homepage       : http://www.rubeam.cademia.org/
 */

package rubeam.cmds;

import rubeam.RuBeam;
import cib.cad.kernel.Kernel;
import cib.util.cmd.CmdAbortedException;
import cib.util.cmd.CmdAdapter;

public class DumpStructure extends CmdAdapter {

    public void doCmd(Object context) throws CmdAbortedException {
        Kernel krnl = (Kernel) context;
        String msg = RuBeam.getStructure().toString();
        System.out.println(msg);
        krnl.readOK("Continue?", "RuBeam structure", msg,
                Kernel.MSG_INFORMATION | Kernel.DEFAULT_OK);
    }
}
